<?

function rupath($path,$loads='.')
{
$path=ereg_replace("(/){1,}","/",$path);
$path=ereg_replace("(^(/){1,})|((/){1,}$)","",$path);
$path_arr=explode('/',$path);
$rdir=NULL;
$rudir=NULL;
for ($i=0;$i<count($path_arr);$i++)
{
$of=$loads.'/';
for ($z=0;$z<=$i;$z++)$of.=$path_arr[$z].'/';
$rdir.=$path_arr[$i].'/';
if (is_file("$of/.dirname"))
{
$rudir.="<a href=\"index.php?d=".urlencode(ereg_replace("(^(/){1,})|((/){1,}$)","",$rdir))."&amp;page=$_SESSION[page]\">".trim(file_get_contents("$of/.dirname")).'</a> &gt; ';
}
else
{
$rudir.="<a href=\"index.php?d=".urlencode(ereg_replace("(^(/){1,})|((/){1,}$)","",$rdir))."&amp;page=$_SESSION[page]\">".dir_name($loads.'/'.$rdir).'</a> &gt; ';
}

}

return ereg_replace(" &gt; $","",$rudir);

}

function rupath2($path,$loads='.')
{
$path=ereg_replace("(/){1,}","/",$path);
$path=ereg_replace("(^(/){1,})|((/){1,}$)","",$path);
$path_arr=explode('/',$path);
$rdir=NULL;
$rudir=NULL;
for ($i=0;$i<count($path_arr);$i++)
{
$of=$loads.'/';
for ($z=0;$z<=$i;$z++)$of.=$path_arr[$z].'/';
$rdir.=$path_arr[$i].'/';
if (is_file("$of/.dirname"))
{
$dir_info=file("$of/.dirname");

$rudir.=trim($dir_info[0]).'/';
}
else
{
$dirname=$path_arr[$i];
if (function_exists('iconv'))$dirname=iconv('windows-1251', 'utf-8', $dirname);

$rudir.=$dirname.'/';
}

}

return ereg_replace("/$","",$rudir);

}

function dirrs($dir='/',$replace=NULL){
$dir=ereg_replace("(/){1,}","/",$dir);              // вырез двух и более слешей подряд
$dir=ereg_replace("(^(/){1,})|((/){1,}$)","",$dir); // вырез слеша в начале и конце
$od=opendir($dir);
while ($rd=readdir($od))
{
if (is_dir("$dir/$rd") && $rd!='.' && $rd!='..')
{
$pathh=str_replace($replace, '', "$dir/$rd");
echo "<option value=\"".urlencode("$dir/$rd")."\">".rupath2($pathh,'../sys/loads/files')."</option>\n";
dirrs("$dir/$rd",$replace);
}
}
}


?>